package com.hzya.frame.plugin.lets.util;

import com.hzya.frame.WebappApplication;
import com.hzya.frame.deletedata.DeleteU8cDataUtil;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringRunner;

/**
 * @Author：liuyang
 * @Package：com.hzya.frame.plugin.lets.util
 * @Project：kangarooDataCenterV3
 * @name：DeleteU8cDataUtilTest
 * @Date：2024/12/18 18:36
 * @Filename：DeleteU8cDataUtilTest
 */
@RunWith(SpringRunner.class)
@SpringBootTest(classes = WebappApplication.class)
public class DeleteU8cDataUtilTest4 {

    @Autowired
    private DeleteU8cDataUtil deleteU8cDataUtil;

    @Test
    public void deleteSoSaleinvoice() {
        try {
            //取消签字销售出库单 已测试
            deleteU8cDataUtil.cancelSignatureIcGeneralHV2("'0001A110000000001TH6', '0001A1100000000VKCOK'");
            //销售出库单签字 已测试
            deleteU8cDataUtil.saleOutSign("'0001A110000000001TH6', '0001A1100000000VKCOK'");
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}