package com.hzya.frame.plugin.lets.dingtalk.vo;

import lombok.Data;

import java.util.List;

/**
 * arap_djzb 单据主表
 * arap_djfb 单据辅表
 */
@Data
public class DjzbVO {
    private Arap_djzb parentvo;
    private List<Arap_djfb> children;

    @Data
    public static class Arap_djzb {
        private String bbje;//本币金额合计、实际应支付金额 or 申请金额（元）
        private String busitypecode;//单据类型编码
        private String busitypename;//单据类型名称、费用所属类目
        private String deptid_code;//部门编码
        private String deptid_name;//部门名称
        private String dwbm_code;//公司编码
        private String dwbm_name;//公司名称
        private String hbbm_code;//客商编码、开票方编码
        private String hbbm_name;//客商名称、开票方名称
        private String lrr_code;//录入人编码
        private String lrr_name;//录入人名称
        private String ntaxpricemny;//总价
        private String gdbh;//归档编码
        private String pinpai;//品牌
        private String fkbl;// 付款比例
        private String accountname;//户名
        private String account;//账号
        private String banktypename;//银行
        private String bankdocname;//银行所在地区
        private String scomment;//备注、银行所在地区
        private String prepay;//预收付标志、付款类型



        private String bzbm;//币种主键
        private String bzbm_code;//币种编码
        private String bzbm_name;//币种名称
        private String def1;//自定义项名称1
        private String def10;//自定义项名称10
        private String def11;//自定义项名称11
        private String def12;//自定义项名称12
        private String def13;//自定义项名称13
        private String def14;//自定义项名称14
        private String def15;//自定义项名称15
        private String def16;//自定义项名称16
        private String def17;//自定义项名称17
        private String def18;//自定义项名称18
        private String def19;//自定义项名称19
        private String def2;//自定义项名称2
        private String def20;//自定义项名称20
        private String def21;//自定义项名称21
        private String def22;//自定义项名称22
        private String def23;//自定义项名称23
        private String def24;//自定义项名称24
        private String def25;//自定义项名称25
        private String def26;//自定义项名称26
        private String def27;//自定义项名称27
        private String def28;//自定义项名称28
        private String def29;//自定义项名称29
        private String def3;//自定义项名称3
        private String def30;//自定义项名称30
        private String def4;//自定义项名称4
        private String def5;//自定义项名称5
        private String def6;//自定义项名称6
        private String def7;//自定义项名称7
        private String def8;//自定义项名称8
        private String def9;//自定义项名称9
        private String deptid;//部门主键
        private String dfyhzh;//付款银行帐号
        private String djbh;//单据编号
        private String djdl;//单据大类
        private String djkjnd;//会计年度
        private String djkjqj;//会计期间
        private String djrq;//单据日期、申请支付日期
        private String djzt;//单据状态
        private String dwbm;//公司主键
        private String dzrq;//对帐日期
        private String enduser;//最终修改人（5.1开始支持）
        private String hbbm;//客商主键
        private String lrr;//录入人主键
        private String paydate;//支付日期（5.1及以后版本支持）
        private String qcbz;//是期初
        private String qrr;//确认人主键
        private String qrr_code;//确认人编码
        private String qrr_name;//确认人名称
        private String shr;//审核人主键
        private String shr_code;//审核人编码
        private String shr_name;//审核人名称
        private String shrq;//审核日期
        private String spzt;//审批状态
        private String szxmid;//收支项目主键
        private String szxmid_code;//收支项目编码
        private String szxmid_name;//收支项目名称
        private String ts;//时间戳（V5.1开始支持）
        private String vouchid;//主表主键
        private String wldx;//往来对象标识
        private String xslxbm;//业务流程主键
        private String xslxbm_code;//业务流程编码
        private String xslxbm_name;//业务流程名称
        private String ybje;//原币金额合计
        private String ywbm;//交易类型主键
        private String ywbm_code;//交易类型编码
        private String ywbm_name;//交易类型名称
        private String ywybm;//业务员主键
        private String ywybm_code;//业务员编码
        private String ywybm_name;//业务员名称
        private String zdr;//制单人主键
        private String zdr_code;//制单人编码
        private String zdr_name;//制单人名称
        private String zdrq;//制单日期
        private String zyx1;//自定义项1
        private String zyx10;//自定义项10
        private String zyx11;//自定义项11
        private String zyx12;//自定义项12
        private String zyx13;//自定义项13
        private String zyx14;//自定义项14
        private String zyx15;//自定义项15
        private String zyx16;//自定义项16
        private String zyx17;//自定义项17
        private String zyx18;//自定义项18
        private String zyx19;//自定义项19
        private String zyx2;//自定义项2
        private String zyx20;//自定义项20
        private String zyx21;//自定义项21
        private String zyx22;//自定义项22
        private String zyx23;//自定义项23
        private String zyx24;//自定义项24
        private String zyx25;//自定义项25
        private String zyx26;//自定义项26
        private String zyx27;//自定义项27
        private String zyx28;//自定义项28
        private String zyx29;//自定义项29
        private String zyx3;//自定义项3
        private String zyx30;//自定义项30
        private String zyx4;//自定义项4
        private String zyx5;//自定义项5
        private String zyx6;//自定义项6
        private String zyx7;//自定义项7
        private String zyx8;//自定义项8
        private String zyx9;//自定义项9
        private String zzzt;//支付状态
    }

    @Data
    public static class Arap_djfb {
        private String bbye;//付款明细-付款金额（元）
        private String invcl_code;//付款明细-类目所属编码
        private String invcl_name;//付款明细-类目所属名称
        private String dfshl;//付款明细-数量
        private String cinventoryid_code;//存货编码、付款明细-产品编码
        private String cinventoryid_name;//存货名称、付款明细-产品名称


        private String bbhl;//本币汇率
        private String bfyhzh;//本方银行帐号主键
        private String bzbm;//币种主键
        private String bzbm_code;//币种编码
        private String bzbm_name;//币种名称
        private String cinventoryid;//存货主键
        private String contractno;//采购合同号	5.1开始支持
        private String ddh;//订单号	5.0sp开始支持
        private String def1;//自定义项名称1
        private String def10;//自定义项名称10
        private String def11;//自定义项名称11
        private String def12;//自定义项名称12
        private String def13;//自定义项名称13
        private String def14;//自定义项名称14
        private String def15;//自定义项名称15
        private String def16;//自定义项名称16
        private String def17;//自定义项名称17
        private String def18;//自定义项名称18
        private String def19;//自定义项名称19
        private String def2;//自定义项名称2
        private String def20;//自定义项名称20
        private String def21;//自定义项名称21
        private String def22;//自定义项名称22
        private String def23;//自定义项名称23
        private String def24;//自定义项名称24
        private String def25;//自定义项名称25
        private String def26;//自定义项名称26
        private String def27;//自定义项名称27
        private String def28;//自定义项名称28
        private String def29;//自定义项名称29
        private String def3;//自定义项名称3
        private String def30;//自定义项名称30
        private String def4;//自定义项名称4
        private String def5;//自定义项名称5
        private String def6;//自定义项名称6
        private String def7;//自定义项名称7
        private String def8;//自定义项名称8
        private String def9;//自定义项名称9
        private String deptid;//部门主键
        private String deptid_code;//部门编码
        private String deptid_name;//部门名称
        private String dfbbje;//贷方本币金额
        private String dfbbsj;//贷方本币税金
        private String dfbbwsje;//贷方本币无税金额
        private String dfybje;//贷方原币金额
        private String dfybsj;//贷方原币税金
        private String dfybwsje;//贷方原币无税金额
        private String dfyhzh;//对方银行帐号主键
        private String dj;//单价
        private String djlxbm;//单据类型编码
        private String fb_oid;//子表主键
        private String fkyhmc;//付款银行帐号名称
        private String fkyhzh;//付款银行帐号编码
        private String fph;//发票号	5.0sp开始支持
        private String hbbm;//客商主键
        private String hbbm_code;//客商编码、开票方编码
        private String hbbm_name;//客商名称、开票方名称
        private String hsdj;//含税单价
        private String jfbbje;//借方本币金额
        private String jfbbsj;//借方本币税金
        private String jfshl;//借方数量
        private String jfybje;//借方原币金额
        private String jfybsj;//借方原币税金
        private String jfybwsje;//借方原币无税金额
        private String jobid;//专项基本档案id(项目)
        private String kslb;//扣税类别
        private String skyhmc;//收款银行帐号名称
        private String skyhzh;//收款银行帐号编码
        private String sl;//税率
        private String szxmid;//收支项目主键
        private String szxmid_code;//收支项目编码
        private String szxmid_name;//收支项目名称
        private String ts;//时间戳（V5.1开始支持）
        private String vouchid;//主表主键
        private String wbfbbje;//借方本币无税金额
        private String wldx;//往来对象标识 0：客户；1：供应商；2：部门；3：业务员
        private String ywybm;//业务员主键
        private String ywybm_code;//业务员编码
        private String ywybm_name;//业务员名称
        private String zy;//摘要
        private String zyx1;//自定义项1
        private String zyx10;//自定义项10
        private String zyx11;//自定义项11
        private String zyx12;//自定义项12
        private String zyx13;//自定义项13
        private String zyx14;//自定义项14
        private String zyx15;//自定义项15
        private String zyx16;//自定义项16
        private String zyx17;//自定义项17
        private String zyx18;//自定义项18
        private String zyx19;//自定义项19
        private String zyx2;//自定义项2
        private String zyx20;//自定义项20
        private String zyx21;//自定义项21
        private String zyx22;//自定义项22
        private String zyx23;//自定义项23
        private String zyx24;//自定义项24
        private String zyx25;//自定义项25
        private String zyx26;//自定义项26
        private String zyx27;//自定义项27
        private String zyx28;//自定义项28
        private String zyx29;//自定义项29
        private String zyx3;//自定义项3
        private String zyx30;//自定义项30
        private String zyx4;//自定义项4
        private String zyx5;//自定义项5
        private String zyx6;//自定义项6
        private String zyx7;//自定义项7
        private String zyx8;//自定义项8
        private String zyx9;//自定义项9
    }
}
