package com.hzya.frame.report.lets.dao;

import com.hzya.frame.basedao.dao.IBaseDao;
import com.hzya.frame.report.lets.dto.TobofsSaleoutDetailedDto;
import com.hzya.frame.report.lets.dto.TocofsSaleoutDetailedDto;
import com.hzya.frame.report.lets.entity.TocofsSaleoutDetailedEntity;

import java.util.List;

/**
 * O出库单明细表(TOC、TOB业务底表)(tocofs_saleout_detailed: table)表数据库访问层
 *
 * @author makejava
 * @since 2024-09-04 17:48:28
 */
public interface ITocofsSaleoutDetailedDao extends IBaseDao<TocofsSaleoutDetailedEntity, String> {
    /**
     * TOC销售报表导出
     *
     * @author liuyang
     */
    List<TocofsSaleoutDetailedDto> queryEntityListBaseToc(TocofsSaleoutDetailedEntity tocofsSaleoutDetailedEntity) throws Exception;

    /**
     * TOB销售报表导出
     *
     * @author liuyang
     */
    List<TobofsSaleoutDetailedDto> queryEntityListBaseTob(TocofsSaleoutDetailedEntity tocofsSaleoutDetailedEntity) throws Exception;
}

