package com.hzya.frame.ttxofs.service;

import com.hzya.frame.ttxofs.basics.ReturnMessageBasics;
import com.hzya.frame.ttxofs.dto.InterfaceParamByU8CApiDto;
import com.hzya.frame.ttxofs.dto.InterfaceParamDto;

/**
 * 通天晓销售业务相关接口
 *
 * @Author：liuyang
 * @Package：com.hzya.frame.ttxofs.service
 * @Project：kangarooDataCenterV3
 * @name：SalesBusinessService
 * @Date：2024/7/30 11:27
 * @Filename：SalesBusinessService
 */
public interface OfsUnifiedService {
    /**
     * OFS接口入库
     *
     * @author liuyang
     */
    ReturnMessageBasics unified(InterfaceParamDto interfaceParamDto) throws Exception;
    ReturnMessageBasics unifiedByU8CApi(InterfaceParamByU8CApiDto interfaceParamDto) throws Exception;
}
