package com.hzya.frame.u9c.unit.service.impl;

import com.baomidou.dynamic.datasource.annotation.DS;
import com.hzya.frame.u9c.constant.U9Constant;
import com.hzya.frame.u9c.unit.entity.VU9cUnitEntity;
import com.hzya.frame.u9c.unit.dao.IVU9cUnitDao;
import com.hzya.frame.u9c.unit.service.IVU9cUnitService;
import org.springframework.stereotype.Service; 
import org.springframework.beans.factory.annotation.Autowired;
import javax.annotation.Resource;
import com.hzya.frame.basedao.service.impl.BaseService;

import java.util.List;

/**
 * (VU9cUnit)表服务实现类
 *
 * @author xiang2lin
 * @since 2023-11-02 09:34:20
 */
@Service("vU9cUnitService")
public class VU9cUnitServiceImpl extends BaseService<VU9cUnitEntity, String> implements IVU9cUnitService {
     
    private IVU9cUnitDao vU9cUnitDao;
    
    @Autowired
	public void setVU9cUnitDao(IVU9cUnitDao dao) {
		this.vU9cUnitDao = dao;
		this.dao = dao;
	}

	/**
	 * 查询计量单位，传睿本云专用
	 *
	 * @param entity
	 * @return
	 */
	@DS(U9Constant.DATA_SOURCE_CODE)
	@Override
	public List<VU9cUnitEntity> query2Reabam(VU9cUnitEntity entity) {
		List<VU9cUnitEntity> list = vU9cUnitDao.queryList(entity, "com.hzya.frame.u9c.unit.dao.impl.VU9cUnitDaoImpl.entity_list_base_reabam");
		return list;
	}
}
